summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorKevin Rocard <kevinx.rocard@intel.com>2013-11-14 10:28:56 +0100
committerDavid Wagner <david.wagner@intel.com>2014-02-12 17:04:13 +0100
commit6060feda9662186b87b91315216b5f51793f326a (patch)
tree6d64967dc7ee3d16aac85bab0075ddeb65b0da48 /tools
parent764ff429ac913567910e4acb1da98502f246754a (diff)
downloadexternal_parameter-framework-6060feda9662186b87b91315216b5f51793f326a.zip
external_parameter-framework-6060feda9662186b87b91315216b5f51793f326a.tar.gz
external_parameter-framework-6060feda9662186b87b91315216b5f51793f326a.tar.bz2
[xml generation] Ignore errors in clean up
BZ: 152121 As the hostDomainGenerator clean up function can be called after any command, some clean commands were sometime irrelevant. Clean commands should not fail. Change-Id: I0e472919cd77abe393bca090a95d1c72cf77d58c Signed-off-by: Kevin Rocard <kevinx.rocard@intel.com>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/xmlGenerator/hostDomainGenerator.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/tools/xmlGenerator/hostDomainGenerator.sh b/tools/xmlGenerator/hostDomainGenerator.sh
index 8cc815a..eeaf7a8 100755
--- a/tools/xmlGenerator/hostDomainGenerator.sh
+++ b/tools/xmlGenerator/hostDomainGenerator.sh
@@ -85,12 +85,15 @@ export LD_LIBRARY_PATH="$HostRoot/lib:${LD_LIBRARY_PATH:-}"
clean_up () {
status=$?
- echo "Clean sub process: $testPlatformPID"
- test $testPlatformPID != 0 && kill $testPlatformPID 2>&1
- rm "$tmpFile"
+ if test $testPlatformPID != 0
+ then
+ echo "Clean sub process: $testPlatformPID"
+ kill $testPlatformPID 2>&1
+ fi
+ rm "$tmpFile" || true
# Delete the lockfile
- rm -f $lockFile
+ rm -f $lockFile || true
return $status
}